<router-outlet></router-outlet>
<!-- <app-employee-details></app-employee-details> -->
<div class="form-outline container-fluid bg-light">
  <div class="container col-md-4">
    <h3 class="text-center">CREATE EMPLOYEE</h3>
    <form (ngSubmit)="onCreate()">
      <div class="form-group">
        <label class="mt-3">UserName : </label>
        <input
          class="form-control"
          type="text"
          name="name"
          [(ngModel)]="employee.name"
        />
        <label for="desc">*Enter your name</label>
      </div>

      <div class="form-group mt-3">
        <label>Age : </label>
        <input
          class="form-control"
          type="number"
          name="age"
          [(ngModel)]="employee.age"
        />
      </div>

      <div class="form-group mt-3">
        <label>PhoneNumber : </label>
        <input
          class="form-control"
          type="number"
          [(ngModel)]="employee.phoneNumber"
          name="phoneNumber"
        />
      </div>

      <div class="form-group mt-3">
        <label>EmailId : </label>
        <input
          class="form-control"
          type="email"
          pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$"
          [(ngModel)]="employee.emailId"
          name="emailId"
        />
      </div>
      <div class="form-group mt-3">
        <label>Password : </label>
        <input
          class="form-control"
          type="password"
          [(ngModel)]="employee.passWord"
          name="phoneNumber"
        />
      </div>

      <div class="text-center">
        <button class="w-100 btn btn-success mt-3" type="submit">Sumbit</button>
      </div>
    </form>
  </div>
</div>
